Skip to main content
GET
/
api
/
v2
/
engineering-insights
/
charts
/
releases
/
frequency
Get release frequency chart data
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/engineering-insights/charts/releases/frequency \
  --header 'Authorization: <api-key>'
{
  "metadata": {
    "summary": {},
    "xAxis": "timestamp",
    "yAxis": "count",
    "name": "deploymentFrequency",
    "metrics": {}
  },
  "series": [
    {
      "metadata": {
        "name": "<string>",
        "count": 123,
        "bounds": [
          {
            "name": "equal",
            "value": 100
          }
        ]
      },
      "data": [
        {
          "x": 1617225600000,
          "y": 100,
          "values": {}
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

applicationKey
string<string>

Comma separated list of application keys

hasExperiments
boolean<boolean>

Filter events to those associated with an experiment (true) or without an experiment (false)

global
string<string>

Filter to include or exclude global events. Default value is include. Options: include, exclude

groupBy
string<string>

Property to group results by. Options: impact

from
string<date-time>

Unix timestamp in milliseconds. Default value is 7 days ago.

to
string<date-time>

Unix timestamp in milliseconds. Default value is now.

bucketType
string<string>

Specify type of bucket. Options: rolling, hour, day. Default: rolling.

bucketMs
integer<int64>

Duration of intervals for x-axis in milliseconds. Default value is one day (86400000 milliseconds).

expand
string<string>

Options: metrics

Response

Chart response

metadata
object
required

Metadata for the chart

series
object[]
required

Series data for the chart